<?php

declare(strict_types=1);

namespace App\Controller\OgBoot;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpKernel\Attribute\AsController;

#[AsController]
abstract class AbstractOgLiveController extends AbstractController
{
    public function __construct(
        protected readonly string $ogBootApiUrl,
        protected readonly EntityManagerInterface $entityManager
    )
    {
    }
}
